classification
Title: add --help and -h options to pdb
Type: enhancement Stage:
Components: Demos and Tools, Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: benjamin.peterson, georg.brandl
Priority: low Keywords: patch

Created on 2008-03-22 19:41 by benjamin.peterson, last changed 2008-03-26 11:58 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
pdb_help.patch benjamin.peterson, 2008-03-22 19:41
Messages (3)
msg64336 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-22 19:41
If --help or -h are used as options for pdb, pdb unhelpfully exits with
"file -h cannot be found." This makes it more user friendly and prints
the usage if those options are passed.
msg64547 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-26 09:01
Go ahead and commit.
msg64552 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-26 11:58
Committed in r61931.
History
Date User Action Args
2008-03-26 11:58:25benjamin.petersonsetstatus: open -> closed
messages: + msg64552
2008-03-26 09:01:29georg.brandlsetresolution: accepted
messages: + msg64547
2008-03-25 22:00:43benjamin.petersonsetassignee: benjamin.peterson -> georg.brandl
nosy: + georg.brandl
2008-03-25 22:00:30benjamin.petersonsetpriority: low
assignee: benjamin.peterson
2008-03-22 19:41:11benjamin.petersoncreate